GuideLab API

List available report data sources

Returns the serializable field, type, aggregation, sort, and filter allowlists for all four code-owned report adapters.

GET
/reports/data-sources

Returns the serializable field, type, aggregation, sort, and filter allowlists for all four code-owned report adapters.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/reports/data-sources"
{  "orders": {    "definitionVersion": "v1",    "key": "orders",    "label": "string",    "description": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "string",        "groupable": true,        "sortable": true,        "aggregations": [          "sum"        ],        "filterOperators": [          "eq"        ],        "enumValues": [          {            "value": "string",            "label": "string"          }        ],        "description": "string"      }    ],    "defaultDateField": "string"  },  "order_items": {    "definitionVersion": "v1",    "key": "orders",    "label": "string",    "description": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "string",        "groupable": true,        "sortable": true,        "aggregations": [          "sum"        ],        "filterOperators": [          "eq"        ],        "enumValues": [          {            "value": "string",            "label": "string"          }        ],        "description": "string"      }    ],    "defaultDateField": "string"  },  "clients": {    "definitionVersion": "v1",    "key": "orders",    "label": "string",    "description": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "string",        "groupable": true,        "sortable": true,        "aggregations": [          "sum"        ],        "filterOperators": [          "eq"        ],        "enumValues": [          {            "value": "string",            "label": "string"          }        ],        "description": "string"      }    ],    "defaultDateField": "string"  },  "products": {    "definitionVersion": "v1",    "key": "orders",    "label": "string",    "description": "string",    "fields": [      {        "key": "string",        "label": "string",        "type": "string",        "groupable": true,        "sortable": true,        "aggregations": [          "sum"        ],        "filterOperators": [          "eq"        ],        "enumValues": [          {            "value": "string",            "label": "string"          }        ],        "description": "string"      }    ],    "defaultDateField": "string"  }}
Empty